=== modified file 'drizzled/handler.h'
--- drizzled/handler.h	2009-02-07 22:02:41 +0000
+++ drizzled/handler.h	2009-02-07 22:33:25 +0000
@@ -51,6 +51,7 @@
 class Table;
 class TableList;
 class TABLE_SHARE;
+class Select_Lex_Unit;
 struct st_foreign_key_info;
 typedef struct st_foreign_key_info FOREIGN_KEY_INFO;
 struct order_st;
@@ -60,7 +61,6 @@
 
 class LEX;
 class Select_Lex;
-typedef class Select_Lex_unit Select_Lex_UNIT;
 class Alter_info;
 class select_result;
 class Create_field;
@@ -1206,15 +1206,15 @@
                   TableList *tables, uint32_t wild_num,  List<Item> &list,
                   COND *conds, uint32_t og_num, order_st *order, order_st *group,
                   Item *having, order_st *proc_param, uint64_t select_type,
-                  select_result *result, Select_Lex_UNIT *unit,
+                  select_result *result, Select_Lex_Unit *unit,
                   Select_Lex *select_lex);
 void free_underlaid_joins(Session *session, Select_Lex *select);
-bool mysql_explain_union(Session *session, Select_Lex_UNIT *unit,
+bool mysql_explain_union(Session *session, Select_Lex_Unit *unit,
                          select_result *result);
 int mysql_explain_select(Session *session, Select_Lex *sl, char const *type,
                          select_result *result);
 bool mysql_union(Session *session, LEX *lex, select_result *result,
-                 Select_Lex_UNIT *unit, ulong setup_tables_done_option);
+                 Select_Lex_Unit *unit, ulong setup_tables_done_option);
 bool mysql_handle_derived(LEX *lex, bool (*processor)(Session *session,
                                                       LEX *lex,
                                                       TableList *table));
@@ -1258,7 +1258,7 @@
                         List<Item> *fields, List<Item> *values,
                         COND *conds, uint64_t options,
                         enum enum_duplicates handle_duplicates, bool ignore,
-                        Select_Lex_UNIT *unit, Select_Lex *select_lex);
+                        Select_Lex_Unit *unit, Select_Lex *select_lex);
 bool mysql_prepare_insert(Session *session, TableList *table_list, Table *table,
                           List<Item> &fields, List_item *values,
                           List<Item> &update_fields,

=== modified file 'drizzled/item/field.h'
--- drizzled/item/field.h	2009-02-07 22:02:41 +0000
+++ drizzled/item/field.h	2009-02-07 22:33:25 +0000
@@ -114,7 +114,7 @@
 
   friend class Item_default_value;
   friend class Item_insert_value;
-  friend class Select_Lex_unit;
+  friend class Select_Lex_Unit;
 };
 
 #endif /* DRIZZLED_ITEM_FIELD_H */

=== modified file 'drizzled/item/subselect.cc'
--- drizzled/item/subselect.cc	2009-02-07 22:02:41 +0000
+++ drizzled/item/subselect.cc	2009-02-07 22:33:25 +0000
@@ -688,7 +688,7 @@
 }
 
 
-bool Item_in_subselect::test_limit(Select_Lex_unit *unit_arg)
+bool Item_in_subselect::test_limit(Select_Lex_Unit *unit_arg)
 {
   if (unit_arg->fake_select_lex &&
       unit_arg->fake_select_lex->test_limit())
@@ -1050,7 +1050,7 @@
   if (!substitution)
   {
     /* We're invoked for the 1st (or the only) SELECT in the subquery UNION */
-    Select_Lex_UNIT *master_unit= select_lex->master_unit();
+    Select_Lex_Unit *master_unit= select_lex->master_unit();
     substitution= optimizer;
 
     Select_Lex *current= session->lex->current_select, *up;
@@ -1326,7 +1326,7 @@
   if (!substitution)
   {
     //first call for this unit
-    Select_Lex_UNIT *master_unit= select_lex->master_unit();
+    Select_Lex_Unit *master_unit= select_lex->master_unit();
     substitution= optimizer;
 
     Select_Lex *current= session->lex->current_select, *up;
@@ -1966,7 +1966,7 @@
 }
 
 
-subselect_union_engine::subselect_union_engine(Select_Lex_unit *u,
+subselect_union_engine::subselect_union_engine(Select_Lex_Unit *u,
 					       select_result_interceptor *result_arg,
 					       Item_subselect *item_arg)
   :subselect_engine(item_arg, result_arg)
@@ -2132,7 +2132,7 @@
   session->lex->current_select= select_lex;
   if (!join->optimized)
   {
-    Select_Lex_UNIT *unit= select_lex->master_unit();
+    Select_Lex_Unit *unit= select_lex->master_unit();
 
     unit->set_limit(unit->global_parameters);
     if (join->flatten_subqueries())

=== modified file 'drizzled/item/subselect.h'
--- drizzled/item/subselect.h	2009-02-07 22:02:41 +0000
+++ drizzled/item/subselect.h	2009-02-07 22:33:25 +0000
@@ -28,7 +28,7 @@
 #include <drizzled/item/field.h>
 
 class Select_Lex;
-class Select_Lex_unit;
+class Select_Lex_Unit;
 class JOIN;
 class select_result_interceptor;
 class subselect_engine;
@@ -52,7 +52,7 @@
   Item *substitution;
   /* unit of subquery */
 public:
-  Select_Lex_unit *unit;
+  Select_Lex_Unit *unit;
 protected:
   /* engine that perform execution of subselect (single select or union) */
   subselect_engine *engine;
@@ -360,7 +360,7 @@
   bool val_bool();
   void top_level_item() { abort_on_null=1; }
   inline bool is_top_level_item() { return abort_on_null; }
-  bool test_limit(Select_Lex_unit *unit);
+  bool test_limit(Select_Lex_Unit *unit);
   virtual void print(String *str, enum_query_type query_type);
   bool fix_fields(Session *session, Item **ref);
   bool setup_engine();
@@ -505,9 +505,9 @@
 
 class subselect_union_engine: public subselect_engine
 {
-  Select_Lex_unit *unit;  /* corresponding unit structure */
+  Select_Lex_Unit *unit;  /* corresponding unit structure */
 public:
-  subselect_union_engine(Select_Lex_unit *u,
+  subselect_union_engine(Select_Lex_Unit *u,
 			 select_result_interceptor *result,
 			 Item_subselect *item);
   void cleanup();

=== modified file 'drizzled/select_result.h'
--- drizzled/select_result.h	2009-02-07 22:02:41 +0000
+++ drizzled/select_result.h	2009-02-07 22:33:25 +0000
@@ -24,7 +24,7 @@
 class select_result :public Sql_alloc {
 protected:
   Session *session;
-  Select_Lex_UNIT *unit;
+  Select_Lex_Unit *unit;
 public:
   select_result()
   {
@@ -32,7 +32,7 @@
   }
   virtual ~select_result() {};
   virtual int prepare(List<Item> &,
-                      Select_Lex_UNIT *u)
+                      Select_Lex_Unit *u)
   {
     unit= u;
     return 0;

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2009-02-07 22:02:41 +0000
+++ drizzled/session.cc	2009-02-07 22:33:25 +0000
@@ -1367,7 +1367,7 @@
 
 
 int
-select_export::prepare(List<Item> &list, Select_Lex_UNIT *u)
+select_export::prepare(List<Item> &list, Select_Lex_Unit *u)
 {
   bool blob_flag=0;
   bool string_results= false, non_string_results= false;
@@ -1627,7 +1627,7 @@
 
 
 int
-select_dump::prepare(List<Item> &, Select_Lex_UNIT *u)
+select_dump::prepare(List<Item> &, Select_Lex_Unit *u)
 {
   unit= u;
   return (int) ((file= create_file(session, path, exchange, &cache)) < 0);
@@ -1828,7 +1828,7 @@
   Dump of select to variables
 ***************************************************************************/
 
-int select_dumpvar::prepare(List<Item> &list, Select_Lex_UNIT *u)
+int select_dumpvar::prepare(List<Item> &list, Select_Lex_Unit *u)
 {
   unit= u;
 

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2009-02-07 22:02:41 +0000
+++ drizzled/session.h	2009-02-07 22:33:25 +0000
@@ -1515,7 +1515,7 @@
 public:
   select_export(file_exchange *ex) :select_to_file(ex) {}
   ~select_export();
-  int prepare(List<Item> &list, Select_Lex_UNIT *u);
+  int prepare(List<Item> &list, Select_Lex_Unit *u);
   bool send_data(List<Item> &items);
 };
 
@@ -1523,7 +1523,7 @@
 class select_dump :public select_to_file {
 public:
   select_dump(file_exchange *ex) :select_to_file(ex) {}
-  int prepare(List<Item> &list, Select_Lex_UNIT *u);
+  int prepare(List<Item> &list, Select_Lex_Unit *u);
   bool send_data(List<Item> &items);
 };
 
@@ -1541,7 +1541,7 @@
 		List<Item> *update_fields, List<Item> *update_values,
 		enum_duplicates duplic, bool ignore);
   ~select_insert();
-  int prepare(List<Item> &list, Select_Lex_UNIT *u);
+  int prepare(List<Item> &list, Select_Lex_Unit *u);
   virtual int prepare2(void);
   bool send_data(List<Item> &items);
   virtual void store_values(List<Item> &values);
@@ -1578,7 +1578,7 @@
     alter_info(alter_info_arg),
     m_plock(NULL)
     {}
-  int prepare(List<Item> &list, Select_Lex_UNIT *u);
+  int prepare(List<Item> &list, Select_Lex_Unit *u);
 
   void store_values(List<Item> &values);
   void send_error(uint32_t errcode,const char *err);
@@ -1662,7 +1662,7 @@
   Table *table;
 
   select_union() :table(0) {}
-  int prepare(List<Item> &list, Select_Lex_UNIT *u);
+  int prepare(List<Item> &list, Select_Lex_Unit *u);
   bool send_data(List<Item> &items);
   bool send_eof();
   bool flush();
@@ -1748,10 +1748,10 @@
 public:
   LEX_STRING db;
   LEX_STRING table;
-  Select_Lex_UNIT *sel;
+  Select_Lex_Unit *sel;
   inline Table_ident(Session *session, LEX_STRING db_arg, LEX_STRING table_arg,
 		     bool force)
-    :table(table_arg), sel((Select_Lex_UNIT *)0)
+    :table(table_arg), sel((Select_Lex_Unit *)0)
   {
     if (!force && (session->client_capabilities & CLIENT_NO_SCHEMA))
       db.str=0;
@@ -1759,7 +1759,7 @@
       db= db_arg;
   }
   inline Table_ident(LEX_STRING table_arg)
-    :table(table_arg), sel((Select_Lex_UNIT *)0)
+    :table(table_arg), sel((Select_Lex_Unit *)0)
   {
     db.str=0;
   }
@@ -1769,7 +1769,7 @@
     Later, if there was an alias specified for the table, it will be set
     by add_table_to_list.
   */
-  inline Table_ident(Select_Lex_UNIT *s) : sel(s)
+  inline Table_ident(Select_Lex_Unit *s) : sel(s)
   {
     /* We must have a table name here as this is used with add_table_to_list */
     db.str= empty_c_string;                    /* a subject to casedn_str */
@@ -1876,7 +1876,7 @@
 public:
   multi_delete(TableList *dt, uint32_t num_of_tables);
   ~multi_delete();
-  int prepare(List<Item> &list, Select_Lex_UNIT *u);
+  int prepare(List<Item> &list, Select_Lex_Unit *u);
   bool send_data(List<Item> &items);
   bool initialize_tables (JOIN *join);
   void send_error(uint32_t errcode,const char *err);
@@ -1919,7 +1919,7 @@
 	       List<Item> *fields, List<Item> *values,
 	       enum_duplicates handle_duplicates, bool ignore);
   ~multi_update();
-  int prepare(List<Item> &list, Select_Lex_UNIT *u);
+  int prepare(List<Item> &list, Select_Lex_Unit *u);
   bool send_data(List<Item> &items);
   bool initialize_tables (JOIN *join);
   void send_error(uint32_t errcode,const char *err);
@@ -1946,7 +1946,7 @@
   List<my_var> var_list;
   select_dumpvar()  { var_list.empty(); row_count= 0;}
   ~select_dumpvar() {}
-  int prepare(List<Item> &list, Select_Lex_UNIT *u);
+  int prepare(List<Item> &list, Select_Lex_Unit *u);
   bool send_data(List<Item> &items);
   bool send_eof();
   void cleanup();

=== modified file 'drizzled/sql_delete.cc'
--- drizzled/sql_delete.cc	2009-02-07 22:02:41 +0000
+++ drizzled/sql_delete.cc	2009-02-07 22:33:25 +0000
@@ -465,7 +465,7 @@
 
 
 int
-multi_delete::prepare(List<Item> &, Select_Lex_UNIT *u)
+multi_delete::prepare(List<Item> &, Select_Lex_Unit *u)
 {
 
   unit= u;

=== modified file 'drizzled/sql_derived.cc'
--- drizzled/sql_derived.cc	2009-02-07 22:02:41 +0000
+++ drizzled/sql_derived.cc	2009-02-07 22:33:25 +0000
@@ -95,7 +95,7 @@
 bool mysql_derived_prepare(Session *session, LEX *,
                            TableList *orig_table_list)
 {
-  Select_Lex_UNIT *unit= orig_table_list->derived;
+  Select_Lex_Unit *unit= orig_table_list->derived;
   uint64_t create_options;
   bool res= false;
   if (unit)
@@ -111,7 +111,7 @@
     if (!(derived_result= new select_union))
       return(true); // out of memory
 
-    // Select_Lex_unit::prepare correctly work for single select
+    // Select_Lex_Unit::prepare correctly work for single select
     if ((res= unit->prepare(session, derived_result, 0)))
       goto exit;
 
@@ -200,7 +200,7 @@
 bool mysql_derived_filling(Session *session, LEX *lex, TableList *orig_table_list)
 {
   Table *table= orig_table_list->table;
-  Select_Lex_UNIT *unit= orig_table_list->derived;
+  Select_Lex_Unit *unit= orig_table_list->derived;
   bool res= false;
 
   /*check that table creation pass without problem and it is derived table */

=== modified file 'drizzled/sql_error.cc'
--- drizzled/sql_error.cc	2009-02-07 22:02:41 +0000
+++ drizzled/sql_error.cc	2009-02-07 22:33:25 +0000
@@ -209,7 +209,7 @@
 
   DRIZZLE_ERROR *err;
   Select_Lex *sel= &session->lex->select_lex;
-  Select_Lex_UNIT *unit= &session->lex->unit;
+  Select_Lex_Unit *unit= &session->lex->unit;
   ha_rows idx= 0;
   Protocol *protocol=session->protocol;
 

=== modified file 'drizzled/sql_insert.cc'
--- drizzled/sql_insert.cc	2009-02-07 22:02:41 +0000
+++ drizzled/sql_insert.cc	2009-02-07 22:33:25 +0000
@@ -588,7 +588,7 @@
   */
   if (!select_insert)
   {
-    for (Select_Lex_UNIT *un= select_lex->first_inner_unit();
+    for (Select_Lex_Unit *un= select_lex->first_inner_unit();
          un;
          un= un->next_unit())
     {
@@ -1066,7 +1066,7 @@
 
 
 int
-select_insert::prepare(List<Item> &values, Select_Lex_UNIT *u)
+select_insert::prepare(List<Item> &values, Select_Lex_Unit *u)
 {
   LEX *lex= session->lex;
   int res;
@@ -1606,7 +1606,7 @@
 
 
 int
-select_create::prepare(List<Item> &values, Select_Lex_UNIT *u)
+select_create::prepare(List<Item> &values, Select_Lex_Unit *u)
 {
   DRIZZLE_LOCK *extra_lock= NULL;
   /*

=== modified file 'drizzled/sql_lex.cc'
--- drizzled/sql_lex.cc	2009-02-07 22:13:38 +0000
+++ drizzled/sql_lex.cc	2009-02-07 22:33:25 +0000
@@ -1429,7 +1429,7 @@
 {
 }
 
-void Select_Lex_unit::init_query()
+void Select_Lex_Unit::init_query()
 {
   Select_Lex_Node::init_query();
   linkage= GLOBAL_OPTIONS_TYPE;
@@ -1606,14 +1606,14 @@
   Exclude level of current unit from tree of SELECTs
 
   SYNOPSYS
-    Select_Lex_unit::exclude_level()
+    Select_Lex_Unit::exclude_level()
 
   NOTE: units which belong to current will be brought up on level of
   currernt unit
 */
-void Select_Lex_unit::exclude_level()
+void Select_Lex_Unit::exclude_level()
 {
-  Select_Lex_UNIT *units= 0, **units_last= &units;
+  Select_Lex_Unit *units= 0, **units_last= &units;
   for (Select_Lex *sl= first_select(); sl; sl= sl->next_select())
   {
     // unlink current level from global SELECTs list
@@ -1621,11 +1621,11 @@
       sl->link_next->link_prev= sl->link_prev;
 
     // bring up underlay levels
-    Select_Lex_UNIT **last= 0;
-    for (Select_Lex_UNIT *u= sl->first_inner_unit(); u; u= u->next_unit())
+    Select_Lex_Unit **last= 0;
+    for (Select_Lex_Unit *u= sl->first_inner_unit(); u; u= u->next_unit())
     {
       u->master= master;
-      last= (Select_Lex_UNIT**)&(u->next);
+      last= (Select_Lex_Unit**)&(u->next);
     }
     if (last)
     {
@@ -1637,7 +1637,7 @@
   {
     // include brought up levels in place of current
     (*prev)= units;
-    (*units_last)= (Select_Lex_UNIT*)next;
+    (*units_last)= (Select_Lex_Unit*)next;
     if (next)
       next->prev= (Select_Lex_Node**)units_last;
     units->prev= prev;
@@ -1656,9 +1656,9 @@
   Exclude subtree of current unit from tree of SELECTs
 
   SYNOPSYS
-    Select_Lex_unit::exclude_tree()
+    Select_Lex_Unit::exclude_tree()
 */
-void Select_Lex_unit::exclude_tree()
+void Select_Lex_Unit::exclude_tree()
 {
   for (Select_Lex *sl= first_select(); sl; sl= sl->next_select())
   {
@@ -1667,7 +1667,7 @@
       sl->link_next->link_prev= sl->link_prev;
 
     // unlink underlay levels
-    for (Select_Lex_UNIT *u= sl->first_inner_unit(); u; u= u->next_unit())
+    for (Select_Lex_Unit *u= sl->first_inner_unit(); u; u= u->next_unit())
     {
       u->exclude_level();
     }
@@ -1706,7 +1706,7 @@
       // Select is dependent of outer select
       s->uncacheable= (s->uncacheable & ~UNCACHEABLE_UNITED) |
                        UNCACHEABLE_DEPENDENT;
-      Select_Lex_UNIT *munit= s->master_unit();
+      Select_Lex_Unit *munit= s->master_unit();
       munit->uncacheable= (munit->uncacheable & ~UNCACHEABLE_UNITED) |
                        UNCACHEABLE_DEPENDENT;
       for (Select_Lex *sl= munit->first_select(); sl ; sl= sl->next_select())
@@ -1754,13 +1754,13 @@
 }
 
 
-Select_Lex_unit* Select_Lex_unit::master_unit()
+Select_Lex_Unit* Select_Lex_Unit::master_unit()
 {
     return this;
 }
 
 
-Select_Lex* Select_Lex_unit::outer_select()
+Select_Lex* Select_Lex_Unit::outer_select()
 {
   return (Select_Lex*) master;
 }
@@ -1784,9 +1784,9 @@
 }
 
 
-Select_Lex_unit* Select_Lex::master_unit()
+Select_Lex_Unit* Select_Lex::master_unit()
 {
-  return (Select_Lex_unit*) master;
+  return (Select_Lex_Unit*) master;
 }
 
 
@@ -1846,7 +1846,7 @@
 }
 
 
-void Select_Lex_unit::print(String *str, enum_query_type query_type)
+void Select_Lex_Unit::print(String *str, enum_query_type query_type)
 {
   bool union_all= !union_distinct;
   for (Select_Lex *sl= first_select(); sl; sl= sl->next_select())
@@ -1905,7 +1905,7 @@
 void Select_Lex::print_limit(Session *, String *str,
                                 enum_query_type query_type)
 {
-  Select_Lex_UNIT *unit= master_unit();
+  Select_Lex_Unit *unit= master_unit();
   Item_subselect *item= unit->item;
 
   if (item && unit->global_parameters == this)
@@ -2105,11 +2105,11 @@
   initialize limit counters
 
   SYNOPSIS
-    Select_Lex_unit::set_limit()
+    Select_Lex_Unit::set_limit()
     values	- Select_Lex with initial values for counters
 */
 
-void Select_Lex_unit::set_limit(Select_Lex *sl)
+void Select_Lex_Unit::set_limit(Select_Lex *sl)
 {
   ha_rows select_limit_val;
   uint64_t val;
@@ -2284,7 +2284,7 @@
   {
     derived_tables= 0;
     /* cleunup underlying units (units of VIEW) */
-    for (Select_Lex_UNIT *un= select_lex.first_inner_unit();
+    for (Select_Lex_Unit *un= select_lex.first_inner_unit();
          un;
          un= un->next_unit())
       un->cleanup();
@@ -2331,9 +2331,9 @@
 
   Select_Lex::print is in sql_select.cc
 
-  Select_Lex_unit::prepare, Select_Lex_unit::exec,
-  Select_Lex_unit::cleanup, Select_Lex_unit::reinit_exec_mechanism,
-  Select_Lex_unit::change_result
+  Select_Lex_Unit::prepare, Select_Lex_Unit::exec,
+  Select_Lex_Unit::cleanup, Select_Lex_Unit::reinit_exec_mechanism,
+  Select_Lex_Unit::change_result
   are in sql_union.cc
 */
 

=== modified file 'drizzled/sql_lex.h'
--- drizzled/sql_lex.h	2009-02-07 22:13:38 +0000
+++ drizzled/sql_lex.h	2009-02-07 22:33:25 +0000
@@ -264,11 +264,11 @@
 
 /*
     Base class for Select_Lex (Select_Lex) &
-    Select_Lex_unit (Select_Lex_UNIT)
+    Select_Lex_Unit (Select_Lex_Unit)
 */
 class LEX;
 class Select_Lex;
-class Select_Lex_unit;
+class Select_Lex_Unit;
 class Select_Lex_Node {
 protected:
   Select_Lex_Node *next, **prev,   /* neighbor list */
@@ -312,7 +312,7 @@
   void include_global(Select_Lex_Node **plink);
   void exclude();
 
-  virtual Select_Lex_unit* master_unit()= 0;
+  virtual Select_Lex_Unit* master_unit()= 0;
   virtual Select_Lex* outer_select()= 0;
   virtual Select_Lex* return_after_parsing()= 0;
 
@@ -331,21 +331,21 @@
   virtual void set_lock_for_tables(thr_lock_type)
   {}
 
-  friend class Select_Lex_unit;
+  friend class Select_Lex_Unit;
   friend bool mysql_new_select(LEX *lex, bool move_down);
 private:
   void fast_exclude();
 };
 
 /*
-   Select_Lex_UNIT - unit of selects (UNION, INTERSECT, ...) group
+   Select_Lex_Unit - unit of selects (UNION, INTERSECT, ...) group
    Select_Lexs
 */
 class Session;
 class select_result;
 class JOIN;
 class select_union;
-class Select_Lex_unit: public Select_Lex_Node {
+class Select_Lex_Unit: public Select_Lex_Node {
 protected:
   TableList result_table_list;
   select_union *union_result;
@@ -398,15 +398,15 @@
   bool describe; /* union exec() called for EXPLAIN */
 
   void init_query();
-  Select_Lex_unit* master_unit();
+  Select_Lex_Unit* master_unit();
   Select_Lex* outer_select();
   Select_Lex* first_select()
   {
     return reinterpret_cast<Select_Lex*>(slave);
   }
-  Select_Lex_unit* next_unit()
+  Select_Lex_Unit* next_unit()
   {
-    return reinterpret_cast<Select_Lex_unit*>(next);
+    return reinterpret_cast<Select_Lex_Unit*>(next);
   }
   Select_Lex* return_after_parsing() { return return_to; }
   void exclude_level();
@@ -435,8 +435,6 @@
   List<Item> *get_unit_column_types();
 };
 
-typedef class Select_Lex_unit Select_Lex_UNIT;
-
 /*
   Select_Lex - store information of parsed SELECT statment
 */
@@ -558,10 +556,10 @@
   uint8_t full_group_by_flag;
   void init_query();
   void init_select();
-  Select_Lex_unit* master_unit();
-  Select_Lex_unit* first_inner_unit()
+  Select_Lex_Unit* master_unit();
+  Select_Lex_Unit* first_inner_unit()
   {
-    return (Select_Lex_unit*) slave;
+    return (Select_Lex_Unit*) slave;
   }
   Select_Lex* outer_select();
   Select_Lex* next_select() { return (Select_Lex*) next; }
@@ -612,7 +610,7 @@
     This method created for reiniting LEX in mysql_admin_table() and can be
     used only if you are going remove all Select_Lex & units except belonger
     to LEX (LEX::unit & LEX::select, for other purposes there are
-    Select_Lex_UNIT::exclude_level & Select_Lex_UNIT::exclude_tree
+    Select_Lex_Unit::exclude_level & Select_Lex_Unit::exclude_tree
   */
   void cut_subtree() { slave= 0; }
   bool test_limit();
@@ -633,7 +631,7 @@
   void fix_prepare_information(Session *session, Item **conds, Item **having_conds);
   /*
     Destroy the used execution plan (JOIN) of this subtree (this
-    Select_Lex and all nested Select_Lexes and Select_Lex_UNITs).
+    Select_Lex and all nested Select_Lexes and Select_Lex_Units).
   */
   bool cleanup();
   /*
@@ -670,7 +668,7 @@
   List<Index_hint> *index_hints;
 };
 
-inline bool Select_Lex_unit::is_union ()
+inline bool Select_Lex_Unit::is_union ()
 {
   return first_select()->next_select() &&
     first_select()->next_select()->linkage == UNION_TYPE;
@@ -1244,7 +1242,7 @@
 class LEX : public Query_tables_list
 {
 public:
-  Select_Lex_UNIT unit;                         /* most upper unit */
+  Select_Lex_Unit unit;                         /* most upper unit */
   Select_Lex select_lex;                        /* first Select_Lex */
   /* current Select_Lex in parsing */
   Select_Lex *current_select;

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2009-02-07 22:13:38 +0000
+++ drizzled/sql_parse.cc	2009-02-07 22:33:25 +0000
@@ -970,8 +970,8 @@
   TableList *first_table= (TableList*) select_lex->table_list.first;
   /* list of all tables in query */
   TableList *all_tables;
-  /* most outer Select_Lex_UNIT of query */
-  Select_Lex_UNIT *unit= &lex->unit;
+  /* most outer Select_Lex_Unit of query */
+  Select_Lex_Unit *unit= &lex->unit;
   /* Saved variable value */
 
   /*
@@ -2154,10 +2154,10 @@
   select_lex->nest_level= lex->nest_level;
   if (move_down)
   {
-    Select_Lex_UNIT *unit;
+    Select_Lex_Unit *unit;
     lex->subqueries= true;
     /* first select_lex of subselect or derived table */
-    if (!(unit= new (session->mem_root) Select_Lex_UNIT()))
+    if (!(unit= new (session->mem_root) Select_Lex_Unit()))
       return(1);
 
     unit->init_query();
@@ -2182,7 +2182,7 @@
       return(1);
     }
     select_lex->include_neighbour(lex->current_select);
-    Select_Lex_UNIT *unit= select_lex->master_unit();
+    Select_Lex_Unit *unit= select_lex->master_unit();
     if (!unit->fake_select_lex && unit->add_fake_select_lex(lex->session))
       return(1);
     select_lex->context.outer_context=
@@ -2921,7 +2921,7 @@
     0     on success
 */
 
-bool Select_Lex_unit::add_fake_select_lex(Session *session_arg)
+bool Select_Lex_Unit::add_fake_select_lex(Session *session_arg)
 {
   Select_Lex *first_sl= first_select();
   assert(!fake_select_lex);

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2009-02-07 22:02:41 +0000
+++ drizzled/sql_select.cc	2009-02-07 22:33:25 +0000
@@ -276,7 +276,7 @@
     res= mysql_union(session, lex, result, &lex->unit, setup_tables_done_option);
   else
   {
-    Select_Lex_UNIT *unit= &lex->unit;
+    Select_Lex_Unit *unit= &lex->unit;
     unit->set_limit(unit->global_parameters);
     session->session_marker= 0;
     /*
@@ -469,7 +469,7 @@
 	      order_st *order_init, order_st *group_init,
 	      Item *having_init,
 	      order_st *proc_param_init, Select_Lex *select_lex_arg,
-	      Select_Lex_UNIT *unit_arg)
+	      Select_Lex_Unit *unit_arg)
 {
   // to prevent double initialization on EXPLAIN
   if (optimized)
@@ -2631,7 +2631,7 @@
 	     TableList *tables, uint32_t wild_num, List<Item> &fields,
 	     COND *conds, uint32_t og_num,  order_st *order, order_st *group,
 	     Item *having, order_st *proc_param, uint64_t select_options,
-	     select_result *result, Select_Lex_UNIT *unit,
+	     select_result *result, Select_Lex_Unit *unit,
 	     Select_Lex *select_lex)
 {
   bool err;
@@ -3195,7 +3195,7 @@
 
 bool JOIN::setup_subquery_materialization()
 {
-  for (Select_Lex_UNIT *un= select_lex->first_inner_unit(); un;
+  for (Select_Lex_Unit *un= select_lex->first_inner_unit(); un;
        un= un->next_unit())
   {
     for (Select_Lex *sl= un->first_select(); sl; sl= sl->next_select())
@@ -7991,7 +7991,7 @@
 
 void JOIN::join_free()
 {
-  Select_Lex_UNIT *tmp_unit;
+  Select_Lex_Unit *tmp_unit;
   Select_Lex *sl;
   /*
     Optimization: if not EXPLAIN and we are done with the JOIN,
@@ -15273,7 +15273,7 @@
 
 void free_underlaid_joins(Session *, Select_Lex *select)
 {
-  for (Select_Lex_UNIT *unit= select->first_inner_unit();
+  for (Select_Lex_Unit *unit= select->first_inner_unit();
        unit;
        unit= unit->next_unit())
     unit->cleanup();
@@ -16187,7 +16187,7 @@
 	join->error= 1;
     }
   }
-  for (Select_Lex_UNIT *unit= join->select_lex->first_inner_unit();
+  for (Select_Lex_Unit *unit= join->select_lex->first_inner_unit();
        unit;
        unit= unit->next_unit())
   {
@@ -16198,7 +16198,7 @@
 }
 
 
-bool mysql_explain_union(Session *session, Select_Lex_UNIT *unit, select_result *result)
+bool mysql_explain_union(Session *session, Select_Lex_Unit *unit, select_result *result)
 {
   bool res= 0;
   Select_Lex *first= unit->first_select();

=== modified file 'drizzled/sql_select.h'
--- drizzled/sql_select.h	2009-02-07 22:02:41 +0000
+++ drizzled/sql_select.h	2009-02-07 22:33:25 +0000
@@ -441,7 +441,7 @@
   TMP_TABLE_PARAM tmp_table_param;
   DRIZZLE_LOCK *lock;
   /// unit structure (with global parameters) for this select
-  Select_Lex_UNIT *unit;
+  Select_Lex_Unit *unit;
   /// select that processed
   Select_Lex *select_lex;
   /**
@@ -594,7 +594,7 @@
   int prepare(Item ***rref_pointer_array, TableList *tables, uint32_t wind_num,
 	      COND *conds, uint32_t og_num, order_st *order, order_st *group,
 	      Item *having, order_st *proc_param, Select_Lex *select,
-	      Select_Lex_UNIT *unit);
+	      Select_Lex_Unit *unit);
   int optimize();
   int reinit();
   void exec();

=== modified file 'drizzled/sql_union.cc'
--- drizzled/sql_union.cc	2009-02-07 22:02:41 +0000
+++ drizzled/sql_union.cc	2009-02-07 22:33:25 +0000
@@ -24,7 +24,7 @@
 #include <drizzled/sql_base.h>
 
 bool mysql_union(Session *session, LEX *, select_result *result,
-                 Select_Lex_UNIT *unit, ulong setup_tables_done_option)
+                 Select_Lex_Unit *unit, ulong setup_tables_done_option)
 {
   bool res;
   if (!(res= unit->prepare(session, result, SELECT_NO_UNLOCK |
@@ -40,7 +40,7 @@
 ** store records in temporary table for UNION
 ***************************************************************************/
 
-int select_union::prepare(List<Item> &, Select_Lex_UNIT *u)
+int select_union::prepare(List<Item> &, Select_Lex_Unit *u)
 {
   unit= u;
   return 0;
@@ -152,7 +152,7 @@
   initialization procedures before fake_select_lex preparation()
 
   SYNOPSIS
-    Select_Lex_unit::init_prepare_fake_select_lex()
+    Select_Lex_Unit::init_prepare_fake_select_lex()
     session		- thread handler
 
   RETURN
@@ -160,7 +160,7 @@
 */
 
 void
-Select_Lex_unit::init_prepare_fake_select_lex(Session *session_arg)
+Select_Lex_Unit::init_prepare_fake_select_lex(Session *session_arg)
 {
   session_arg->lex->current_select= fake_select_lex;
   fake_select_lex->table_list.link_in_list((unsigned char *)&result_table_list,
@@ -185,7 +185,7 @@
 }
 
 
-bool Select_Lex_unit::prepare(Session *session_arg, select_result *sel_result,
+bool Select_Lex_Unit::prepare(Session *session_arg, select_result *sel_result,
                                  uint32_t additional_options)
 {
   Select_Lex *lex_select_save= session_arg->lex->current_select;
@@ -388,7 +388,7 @@
 }
 
 
-bool Select_Lex_unit::exec()
+bool Select_Lex_Unit::exec()
 {
   Select_Lex *lex_select_save= session->lex->current_select;
   Select_Lex *select_cursor=first_select();
@@ -592,7 +592,7 @@
 }
 
 
-bool Select_Lex_unit::cleanup()
+bool Select_Lex_Unit::cleanup()
 {
   int error= 0;
 
@@ -635,7 +635,7 @@
 }
 
 
-void Select_Lex_unit::reinit_exec_mechanism()
+void Select_Lex_Unit::reinit_exec_mechanism()
 {
   prepared= optimized= executed= 0;
 }
@@ -645,7 +645,7 @@
   change select_result object of unit
 
   SYNOPSIS
-    Select_Lex_unit::change_result()
+    Select_Lex_Unit::change_result()
     result	new select_result object
     old_result	old select_result object
 
@@ -654,7 +654,7 @@
     true  - error
 */
 
-bool Select_Lex_unit::change_result(select_result_interceptor *new_result,
+bool Select_Lex_Unit::change_result(select_result_interceptor *new_result,
                                        select_result_interceptor *old_result)
 {
   bool res= false;
@@ -673,21 +673,21 @@
   Get column type information for this unit.
 
   SYNOPSIS
-    Select_Lex_unit::get_unit_column_types()
+    Select_Lex_Unit::get_unit_column_types()
 
   DESCRIPTION
     For a single-select the column types are taken
     from the list of selected items. For a union this function
-    assumes that Select_Lex_unit::prepare has been called
+    assumes that Select_Lex_Unit::prepare has been called
     and returns the type holders that were created for unioned
     column types of all selects.
 
   NOTES
     The implementation of this function should be in sync with
-    Select_Lex_unit::prepare()
+    Select_Lex_Unit::prepare()
 */
 
-List<Item> *Select_Lex_unit::get_unit_column_types()
+List<Item> *Select_Lex_Unit::get_unit_column_types()
 {
   Select_Lex *sl= first_select();
 
@@ -712,7 +712,7 @@
     delete join;
     join= 0;
   }
-  for (Select_Lex_UNIT *lex_unit= first_inner_unit(); lex_unit ;
+  for (Select_Lex_Unit *lex_unit= first_inner_unit(); lex_unit ;
        lex_unit= lex_unit->next_unit())
   {
     error= (bool) ((uint) error | (uint) lex_unit->cleanup());
@@ -725,7 +725,7 @@
 
 void Select_Lex::cleanup_all_joins(bool full)
 {
-  Select_Lex_UNIT *unit;
+  Select_Lex_Unit *unit;
   Select_Lex *sl;
 
   if (join)

=== modified file 'drizzled/sql_update.cc'
--- drizzled/sql_update.cc	2009-02-07 22:02:41 +0000
+++ drizzled/sql_update.cc	2009-02-07 22:33:25 +0000
@@ -945,7 +945,7 @@
                         COND *conds,
                         uint64_t options,
                         enum enum_duplicates handle_duplicates, bool ignore,
-                        Select_Lex_UNIT *unit, Select_Lex *select_lex)
+                        Select_Lex_Unit *unit, Select_Lex *select_lex)
 {
   multi_update *result;
   bool res;
@@ -998,7 +998,7 @@
 */
 
 int multi_update::prepare(List<Item> &,
-                          Select_Lex_UNIT *)
+                          Select_Lex_Unit *)
 {
   TableList *table_ref;
   SQL_LIST update;

=== modified file 'drizzled/table.h'
--- drizzled/table.h	2009-02-07 22:02:41 +0000
+++ drizzled/table.h	2009-02-07 22:33:25 +0000
@@ -36,7 +36,7 @@
 
 class Item;
 class Item_subselect;
-class Select_Lex_unit;
+class Select_Lex_Unit;
 class Select_Lex;
 class COND_EQUAL;
 class Security_context;

=== modified file 'drizzled/table_list.h'
--- drizzled/table_list.h	2009-02-07 22:02:41 +0000
+++ drizzled/table_list.h	2009-02-07 22:33:25 +0000
@@ -59,7 +59,7 @@
 class COND_EQUAL;
 class Natural_join_column;
 class select_union;
-class Select_Lex_unit;
+class Select_Lex_Unit;
 class ST_SCHEMA_TABLE;
 class Select_Lex;
 class TMP_TABLE_PARAM;
@@ -166,7 +166,7 @@
     can see this lists can't be merged)
   */
   TableList	*correspondent_table;
-  Select_Lex_unit *derived;		/* Select_Lex_UNIT of derived table */
+  Select_Lex_Unit *derived;		/* Select_Lex_Unit of derived table */
   ST_SCHEMA_TABLE *schema_table;        /* Information_schema table */
   Select_Lex	*schema_select_lex;
   /*

